Album: 'Minecraft: Steve Rocks the Block (Original Soundtrack)'
Directory: minecraft-steve-rocks-the-block
Date: January 26, 2026
Date Added: January 27, 2026
Artists:
- Minecraft
URLs:
- https://www.youtube.com/playlist?list=OLAK5uy_kObRAI52NGEqpkBdNMhBxruRsAloGiD4E
- https://open.spotify.com/album/1NBNe9H8AfrB865chwZUMH
- https://music.apple.com/album/minecraft-steve-rocks-the-block-original-soundtrack-ep/1876304005
Cover Artwork:
- Artists:
  - Microsoft
  Tags:
  - Steve (Minecraft)
Cover Artists:
- Microsoft
Color: '#ACA19D'
Groups:
- Beyond
Wallpaper Artists:
- Jasper Boerstra
Wallpaper File Extension: png
Wallpaper Style: |-
    opacity: 0.4;
    background-repeat: repeat;
    background-size: 32px 32px;
---
Track: Halland / Dalarna (ACE - TOMOri Kudo / CHiCO Remix)
Main Release: Halland / Dalarna
Artists:
- Minecraft
- artist:ace-tomori-kudo-chico
Duration: 2:47
URLs:
- https://www.youtube.com/watch?v=Fwwi47qn60o
- https://open.spotify.com/track/4s55GHs8CI5p73zUbUl45m
- https://music.apple.com/song/halland-dalarna-ace-tomori-kudo-chico-remix/1876304180
---
Track: Dance of the Blocks (Yoko Shimomura Remix)
Main Release: Dance of the Blocks
Artists:
- Minecraft
- Yoko Shimomura
Duration: 1:55
URLs:
- https://www.youtube.com/watch?v=DeNkNaHSTCE
- https://open.spotify.com/track/7rf9Mt4ybd0KOiuAkwfaZZ
- https://music.apple.com/song/dance-of-the-blocks-yoko-shimomura-remix/1876304190
---
Track: Earth (Mitsuhiro Kitadani Remix)
Main Release: track:earth-ssbu
Artists:
- Minecraft
- Mitsuhiro Kitadani
Duration: 2:30
URLs:
- https://www.youtube.com/watch?v=3ztoL_wvy0I
- https://open.spotify.com/track/61lCSUlwv9ei6aTcRuDCqF
- https://music.apple.com/song/earth-mitsuhiro-kitadani-remix/1876304191
---
Track: Toys on a Tear (Yuzo Koshiro Remix)
Main Release: Toys on a Tear
Artists:
- Minecraft
- Yuzo Koshiro
Duration: 2:28
URLs:
- https://www.youtube.com/watch?v=Ag5c5b3ZId8
- https://open.spotify.com/track/4LQnmTuo5103iG56u8xHxv
- https://music.apple.com/song/toys-on-a-tear-yuzo-koshiro-remix/1876304192
---
Track: Glide (Hiroki Hashimoto Remix)
Main Release: track:glide-ssbu
Artists:
- Minecraft
- Hiroki Hashimoto
Duration: 2:36
URLs:
- https://www.youtube.com/watch?v=LdrPCVJq90k
- https://open.spotify.com/track/39ldd0Mjrf8WtIUz3x0Ymt
- https://music.apple.com/song/glide-hiroki-hashimoto-remix/1876304193
---
Track: The Arch Illager (Motoi Sakuraba Remix)
Main Release: track:the-arch-illager-ssbu
Artists:
- Minecraft
- Motoi Sakuraba
Duration: 2:16
URLs:
- https://www.youtube.com/watch?v=IAcD7lEBA7g
- https://open.spotify.com/track/5N2pzNTGo6Xbnzngfuq9Ei
- https://music.apple.com/song/the-arch-illager-motoi-sakuraba-remix/1876304318